Loading...
Searching...
No Matches
AVQSVDeviceContext Struct Reference

This struct is allocated as AVHWDeviceContext.hwctx. More...

`#include <libavutil/hwcontext_qsv.h>`

## Data Fields

mfxSession | session
void * | loader
| The mfxLoader handle used for mfxSession creation.

## Detailed Description

This struct is allocated as AVHWDeviceContext.hwctx.

Definition at line 35 of file hwcontext_qsv.h.

## Field Documentation

## session

mfxSession AVQSVDeviceContext::session

Definition at line 36 of file hwcontext_qsv.h.

## loader

void* AVQSVDeviceContext::loader

The mfxLoader handle used for mfxSession creation.

This field is only available for oneVPL user. For non-oneVPL user, this field must be set to NULL.

Filled by the user before calling av_hwdevice_ctx_init() and should be cast to mfxLoader handle. Deallocating the AVHWDeviceContext will always release this interface.

Definition at line 47 of file hwcontext_qsv.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_qsv.h